Subject: [bug#42678] [PATCH, WIP] gnu: libimagequant: Update to 2.12.6

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 03 Aug 2020 09:26:41 +0200

Hello,

> Just a simple update, but sadly, I am unable to build using QEMU for other platforms. Same as with previous version, it does NOT build correctly on armhf.

You mean using "-s armhf-linux"?

I tried to build it using this command:

--8<---------------cut here---------------start------------->8---
guix build libimagequant --target=arm-linux-gnueabihf
--8<---------------cut here---------------end--------------->8---

and I have a build trace similar to yours. The issue seems to be that
the configure script does not detect our intent to cross-compile,
because it uses "gcc" instead of "arm-linux-gnueabihf-gcc".

Mathieu